# Add to Batch Once you've [created a batch](/apis/shipengine/docs/reference/create-batch), you can continue to add `shipment_ids` and/or `rate_ids` to it until you are ready to [process the batch](/apis/shipengine/docs/reference/process-batch). If you are new to batches in ShipStation API, be sure to read the [Label Batches](/apis/shipengine/docs/labels/bulk) overview first. To use batches successfully, you should also understand how to [create a shipment](/apis/shipengine/docs/shipping/create-a-shipment), how to [get shipping rates](/apis/shipengine/docs/rates/get-shipment-rates), and the basics around [carrier services](/apis/shipengine/docs/reference/list-carriers). ## Requirements * The `batch_id` you wish to add shipments to. * The `shipment_ids` and/or `rate_ids` you wish to add to the batch. * All shipments in a batch, whether added with `shipment_id` or `rate_id` must have a `carrier_id` and `service_code`. If the shipments included in the batch do not explicitly specify their carrier and service, you'll recieve an error. * The shipments you add to a batch must use a [`warehouse_id`](/apis/shipengine/docs/reference/create-warehouse) instead of a `ship_from` address. * All shipments in a batch must be [shipped from the same warehouse](/apis/shipengine/docs/shipping/ship-from-a-warehouse). This means all shipments in a batch **must** be assigned the same `warehouse_id`. ## Example Request **POST /v1/batches/:batch_id/add** ```http POST /v1/batches/se-1010644/add HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ Content-Type: application/json { "shipment_ids": [ "se-2102769" ], "rate_ids": [] } ``` If successful, ShipStation API will respond with **HTTP Status 204, No Content**.